------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-31
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(449, 200)
CppScriptMgr:ShakeScrEffect(1)
local Player_1 = CppScriptMgr:AddPlayer(191, 449, 200, "", 0, 0)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(442, 206)
Player_2:Say("The Cloud Island is shrouded in darkness...", 2500)
Player_2:SetDir(6)
Player_2:SetName("")
local Player_3 = CppScriptMgr:AddSimplePlayer(1050534, 448, 202, "", 0, 0)
Player_3:SetArmor(196285, 0, 1)
Player_3:SetHair(164, 1)
Player_3:SetHide(1)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddSimplePlayer(1060382, 449, 200, "", 0, 0)
Player_4:SetHair(102, 1)
Player_4:SetArmor(199245, 0, 1)
Player_4:SetHide(1)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 440, 200, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2660)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 449, 200, 33, 1, 1, 1)
effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(340)
ChangeNpcZoom(Player_1, 100, 0, 5, 33)
CppScriptMgr:WaitMilSec(220)
local Effect_6 = CppScriptMgr:AddEffect("taoist-huohuan", 449, 200, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(250)
Player_4:SetHide(0)
CppScriptMgr:WaitMilSec(400)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(630)
local Effect_2 = CppScriptMgr:AddEffect("irongate_superc", 448, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
Player_3:SetHide(0)
Player_4:Say("Master... I finally see you again...", 1500)
CppScriptMgr:WaitMilSec(70)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(1400)
Player_3:SetAction(101)
Player_3:Say("Turn back, the Cloud Island is the place we swore to protect with our lives.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("I can`t turn back now, I`ve done so many wrong things...", 2000)
CppScriptMgr:WaitMilSec(60)
Player_4:SetAction(170)
CppScriptMgr:WaitMilSec(1940)
Player_3:SetAction(101)
Player_3:Say("Don`t worry, I will stay with you and make up for it.", 2000)
CppScriptMgr:WaitMilSec(2000)
local Effect_3 = CppScriptMgr:AddEffect("tulip-flower-r-99", 449, 200, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("QiFuLev3", 449, 200, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(290)
local Effect_7 = CppScriptMgr:AddEffect("DoubleDance-999", 449, 200, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("DoubleDance-999", 448, 202, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(710)
Player_3:SetHide(1)
Player_4:SetHide(1)
local Effect_5 = CppScriptMgr:AddEffect("NEW-flower-rain", 449, 200, 33, 1, 1, 1)
Effect_5:Scale(5, 5, 5)
CppScriptMgr:WaitMilSec(2000)
Player_2:Say("It seems his obsession has disappeared...", 1500)
CppScriptMgr:WaitMilSec(2500)